<?php
  ///////////////////////////////////////////////////
  // Система учёта посещаемости сайта - PowerCounter
  // 2003-2006 (C) IT-студия SoftTime (http://www.softtime.ru)
  // Поддержка: http://www.softtime.ru/forum/
  // Левин А.В. (loki_angel@mail.ru)
  // Симдянов И.В. (simdyanov@softtime.ru)
  // Кузнецов М.В. (kuznetsov@softtime.ru)
  // Голышев С.В. (softtime@softtime.ru)
  ///////////////////////////////////////////////////
  // Выставляем уровень обработки ошибок (http://www.softtime.ru/info/articlephp.php?id_article=23)
  Error_Reporting(E_ALL & ~E_NOTICE); 

  if (!isset($_GET["begin"])) $begin = 1;
  else $begin = $_GET["begin"];

  // Заголовок страницы
  $title = 'Глубина просмотра'; 
  $pageinfo = 'На этой странице вы можете видеть статистику по количеству просмотренный страниц посетителями за один сеанс.';  
  include "topcounter.php";
?>
<table border=0 width=100%>
<tr valign=top>
  <td align=left>
    <table class="table" border="0" cellpadding="0" cellspacing="0">
      <tr class="header" align="center">
        <td>Просмотров за сеанс</td>
        <td>Посетителей</td>
        <td>Гистограмма</td></tr>

<?php
  if(!isset($_GET['begin']) ||
     !isset($_GET['end']))
  {
    $begin = 1;
    $end   = 0;
  }
  else
  {
    $begin = $_GET['begin'];
    $end   = $_GET['end'];
  }
  //Очищаем таблицу $tbl_thits
  $sql = "TRUNCATE TABLE $tbl_thits";  
  $res = mysql_query($sql); 
           
  // $begin - число дней, которое необходимо вычесть из текущей даты,
  // для того чтобы получить начальную точку временного интервала
  // $end - число дней, которое необходимо вычесть из текущей даты,
  // для того чтобы получить конечную точку временного интервала

  // Запрос на статистику за временной интервал определяемый
  // параметрами $begin,$end 
  if ($begin==0) $begin=(intval((time()-$date['data'])/3600/24)+1);
  for ($i=$begin; $i>$end; $i--)
  {
    if($begin == 0) $tmp2 = ""; 
    else 
    {
      $tmp2 = " AND putdate >= DATE_FORMAT( NOW( ) , '%Y-%m-%d 23:59:59' ) - INTERVAL ".$i." DAY ";
      $tmp1 = " putdate < DATE_FORMAT( NOW( ) , '%Y-%m-%d 23:59:59' ) - INTERVAL ".($i-1)." DAY ";
    }       
    $query = "INSERT INTO $tbl_thits SELECT count(id_ip) AS hits FROM $tbl_ip 
              WHERE systems != 'none' AND
                    systems != 'robot_yandex' AND
                    systems != 'robot_google' AND
                    systems != 'robot_rambler' AND
                    systems != 'robot_aport' AND
                    systems != 'robot_msn' AND
                    $tmp1 
                    $tmp2 
              GROUP BY ip";
     mysql_query($query);
  }
  $query = "SELECT count(hits) AS hits2 FROM $tbl_thits GROUP BY hits ORDER BY hits2 DESC";
  $res = mysql_query($query);
  if(!$res) exit(mysql_error());
  if (mysql_num_rows($res)>0)
  {
    $total = mysql_result($res,0);

    $query = "SELECT hits, count(hits) AS total FROM $tbl_thits 
               GROUP BY hits 
               ORDER BY hits";
    $res = mysql_query($query); 
    if ($res && mysql_num_rows($res)>0)
    {
      while($deep = mysql_fetch_array($res))
      {
        echo "<tr>
               <td>".$deep['hits']."</td>
               <td>".$deep['total']."</td>
               <td><img src=images/parm.gif border=0 width=".(400/$total*$deep['total'])." height=6></td>";
        $host = $host+$deep['total'];
        $hits = $hits+($deep['hits']*$deep['total']);
      }
      echo "<tr><td>Хитов :".$hits."</td><td>Хостов :".$host."</td><td>&nbsp;</td></tr>";
    }
  }
  ?>
</table>
</td></tr></table>
<? 
  // Включаем завершение страницы
  include "bottomcounter.php";
?>